com.unitech.lib.pax

## Enum PA768eEnums.SkuId

- java.lang.Object
- - java.lang.Enum<PA768eEnums.SkuId>
  - - com.unitech.lib.pax.PA768eEnums.SkuId

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PA768eEnums.SkuId>
  Enclosing class:
    PA768eEnums

      public static enum PA768eEnums.SkuId
      extends java.lang.Enum<PA768eEnums.SkuId>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ETSI`
    `FCC`
    `FCC_ETSI`
    `JPN`
    `JPN_ETSI`
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `value()`
    `static PA768eEnums.SkuId` | `valueOf(byte code)`
    `static PA768eEnums.SkuId` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PA768eEnums.SkuId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final PA768eEnums.SkuId Unknown

    - #### FCC

          public static final PA768eEnums.SkuId FCC

    - #### ETSI

          public static final PA768eEnums.SkuId ETSI

    - #### FCC_ETSI

          public static final PA768eEnums.SkuId FCC_ETSI

    - #### JPN

          public static final PA768eEnums.SkuId JPN

    - #### JPN_ETSI

          public static final PA768eEnums.SkuId JPN_ETSI

  - ### Method Detail

    - #### values

          public static PA768eEnums.SkuId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PA768eEnums.SkuId c : PA768eEnums.SkuId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PA768eEnums.SkuId valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public byte value()

    - #### valueOf

          public static PA768eEnums.SkuId valueOf(byte code)